# List webhook endpoints

> Documentation and API reference for Vaartix, the email API for Indian developers.

Source: https://vaartix.com/docs/api/operations/listwebhooks/

GET

/webhooks

```sh
curl --request GET \
  --url https://api.vaartix.com/webhooks \
  --header 'Authorization: Bearer <token>'
```

## Authorizations

-   **[apiKey](https://vaartix.com/docs/api/#apikey)**

## Responses

### 200

Your team’s endpoints. Signing secrets are not included.

Media typeapplication/json

**object**

**data**

required

Array<object>

**object**

**id**

string

**url**

string format: uri

**events**

Array<string>

Allowed values: email.sent email.delivered email.delivery\_delayed email.bounced email.complained email.rejected email.rendering\_failure email.suppressed email.opened email.clicked

**status**

Endpoints are turned off automatically after 5 deliveries in a row fail every attempt.

string

Allowed values: enabled disabled

**createdAt**

string format: date-time

#### Example

```json
{
  "data": [
    {
      "id": "wh_4n8x2k7q1m9c3v5d",
      "events": [
        "email.sent"
      ],
      "status": "enabled"
    }
  ]
}
```

### 401

`unauthorized`: the API key is missing, invalid or revoked.

Media typeapplication/json

**object**

**error**

required

**object**

**type**

required

Stable, machine-readable error type.

string

Allowed values: validation\_error unauthorized forbidden not\_found conflict rate\_limited daily\_quota\_exceeded domain\_not\_verified invalid\_from\_address account\_paused domain\_needs\_review content\_rejected idempotency\_conflict bad\_request internal\_error

**message**

required

Human-readable explanation, safe to show to developers.

string

#### Example

```json
{
  "error": {
    "type": "validation_error"
  }
}
```

### 403

`forbidden`: the key cannot do this, for example a send-only key on a management endpoint.

Media typeapplication/json

**object**

**error**

required

**object**

**type**

required

Stable, machine-readable error type.

string

Allowed values: validation\_error unauthorized forbidden not\_found conflict rate\_limited daily\_quota\_exceeded domain\_not\_verified invalid\_from\_address account\_paused domain\_needs\_review content\_rejected idempotency\_conflict bad\_request internal\_error

**message**

required

Human-readable explanation, safe to show to developers.

string

#### Example

```json
{
  "error": {
    "type": "validation_error"
  }
}
```
